jgthms/minireset.css 软件分析报告

基础信息

项目名称:jgthms/minireset.css

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1719128693003649024/1719128693041397760

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
LibSass 拒绝服务漏洞 空指针取消引用 MPS-2018-15348 CVE-2018-19797 中危
LibSass 拒绝服务漏洞 UAF MPS-2018-15372 CVE-2018-19827 高危
LibSass 拒绝服务漏洞 越界读取 MPS-2018-15397 CVE-2018-19839 中危
LibSass 拒绝服务漏洞 空指针取消引用 MPS-2018-15962 CVE-2018-20190 中危
LibSass 堆缓冲区错误漏洞 越界读取 MPS-2019-0502 CVE-2019-6283 中危
LibSass 堆缓冲区错误漏洞 越界读取 MPS-2019-0503 CVE-2019-6284 中危
LibSass 堆缓冲区错误漏洞 越界读取 MPS-2019-0505 CVE-2019-6286 中危
LibSass 越界读取 MPS-2019-14247 CVE-2019-18798 中危
LibSass 程序崩溃漏洞 空指针取消引用 MPS-2019-14248 CVE-2019-18799 中危
LibSass 资源管理错误漏洞 未经控制的递归 MPS-2019-4291 CVE-2018-20821 中危
node-sass 堆栈溢出漏洞 未经控制的递归 MPS-2019-4292 CVE-2018-20822 中危
Ajv v6.12.2 输入验证错误漏洞 MAID MPS-2020-10525 CVE-2020-15366 中危
lodash 原型污染 MPS-2020-15679 CVE-2020-8203 高危
Sass Node-sass 信任管理问题漏洞 证书验证不恰当 MPS-2021-0364 CVE-2020-24025 中危
lodash 拒绝服务漏洞 拒绝服务 MPS-2021-2574 CVE-2020-28500 中危
lodash 命令注入漏洞 代码注入 MPS-2021-2638 CVE-2021-23337 高危
Npm Node-tar 后置链接漏洞 在文件访问前对链接解析不恰当(链接跟随) MPS-2021-28486 CVE-2021-37701 高危
Npm Node-tar 后置链接漏洞 在文件访问前对链接解析不恰当(链接跟随) MPS-2021-28488 CVE-2021-37712 高危
node-tar 路径遍历漏洞 路径遍历 MPS-2021-28489 CVE-2021-37713 高危
Ruy Adorno hosted-git-info 正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-3400 CVE-2021-23362 中危
json-schema 安全漏洞 原型污染 MPS-2021-34478 CVE-2021-3918 严重
minimist 安全漏洞 原型污染 MPS-2021-38405 CVE-2021-44906 严重
npm path-parse 安全漏洞 拒绝服务 MPS-2021-6165 CVE-2021-23343 高危
trim-newlines 存在拒绝服务漏洞 拒绝服务 MPS-2021-7398 CVE-2021-33623 高危
lodash 拒绝服务 MPS-2022-13841 高危
lodash 拒绝服务 MPS-2022-13842 高危
Express 中的 qs 模块存在原型污染漏洞 原型污染 MPS-2022-3967 CVE-2022-24999 高危
scss-tokenizer 安全漏洞 ReDoS MPS-2022-5119 CVE-2022-25758 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
tough-cookie 安全漏洞 原型污染 MPS-2023-5130 CVE-2023-26136 严重
request SSRF防御绕过漏洞 SSRF MPS-2023-7722 CVE-2023-28155 中危
tough-cookie 原型污染 MPS-esyq-56vx 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
trim-newlines 1.0.0 3.0.1 间接依赖 建议修复
tough-cookie 2.5.0 4.1.3 间接依赖 建议修复
tar 2.2.2 4.4.18 间接依赖 建议修复
scss-tokenizer 0.2.3 0.4.3 间接依赖 建议修复
node-sass 4.14.0 直接依赖 建议修复
lodash 4.17.15 4.17.21 间接依赖 建议修复
json-schema 0.2.3 0.4.0 间接依赖 建议修复
minimatch 3.0.4 3.0.5 间接依赖 建议修复
minimist 1.2.5 1.2.6 间接依赖 建议修复
path-parse 1.0.6 1.0.7 间接依赖 建议修复
qs 6.5.2 6.5.3 间接依赖 建议修复
semver 5.7.1 7.5.2 间接依赖 可选修复
request 2.88.2 间接依赖 可选修复
ajv 6.12.2 6.12.3 间接依赖 可选修复
hosted-git-info 2.8.8 2.8.9 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 99
CC-BY-3.0 1
ISC 33
BSD-3-Clause 4
Unlicense 1
Apache-2.0 9
BSD-2-Clause 2
CC0-1.0 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
uuid 3.4.0 间接依赖 npm
gaze 1.1.3 间接依赖 npm
spdx-exceptions 2.3.0 间接依赖 npm
gauge 2.7.4 间接依赖 npm
form-data 2.3.3 间接依赖 npm
psl 1.8.0 间接依赖 npm
escape-string-regexp 1.0.5 直接依赖 npm
process-nextick-args 2.0.1 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
verror 1.10.0 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
code-point-at 1.1.0 直接依赖 npm
tough-cookie 2.5.0 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
in-publish 2.0.1 间接依赖 npm
qs 6.5.2 间接依赖 npm
tweetnacl 0.14.5 间接依赖 npm
read-pkg 1.1.0 间接依赖 npm
spdx-correct 3.1.0 间接依赖 npm
os-homedir 1.0.2 间接依赖 npm
semver 5.7.1 间接依赖 npm
extend 3.0.2 间接依赖 npm
inflight 1.0.6 间接依赖 npm
performance-now 2.1.0 间接依赖 npm
osenv 0.1.5 间接依赖 npm
has-unicode 2.0.1 间接依赖 npm
redent 1.0.0 间接依赖 npm
loud-rejection 1.6.0 间接依赖 npm
pify 2.3.0 间接依赖 npm
bcrypt-pbkdf 1.0.2 间接依赖 npm
delegates 1.0.0 间接依赖 npm
resolve 1.17.0 间接依赖 npm
strip-ansi 4.0.0 间接依赖 npm
block-stream 0.0.9 间接依赖 npm
pseudomap 1.0.2 间接依赖 npm
nopt 3.0.6 间接依赖 npm
which 1.3.1 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
lodash 4.17.15 间接依赖 npm
fast-deep-equal 3.1.1 间接依赖 npm
get-stdin 4.0.1 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
getpass 0.1.7 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
har-schema 2.0.0 间接依赖 npm
aws4 1.9.1 间接依赖 npm
json-schema 0.2.3 间接依赖 npm
path-type 1.1.0 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
hosted-git-info 2.8.8 间接依赖 npm
rollup-pluginutils 2.8.2 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
indent-string 2.1.0 间接依赖 npm
glob 7.1.6 间接依赖 npm
tar 2.2.2 间接依赖 npm
amdefine 1.0.1 直接依赖 npm
jsbn 0.1.1 间接依赖 npm
is-arrayish 0.2.1 间接依赖 npm
path-parse 1.0.6 间接依赖 npm
once 1.4.0 间接依赖 npm
spdx-expression-parse 3.0.0 间接依赖 npm
async-foreach 0.1.3 间接依赖 npm
camelcase-keys 2.1.0 间接依赖 npm
rollup-plugin-lit-css 2.0.3 直接依赖 npm
aws-sign2 0.7.0 间接依赖 npm
pinkie-promise 2.0.1 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
normalize-package-data 2.5.0 间接依赖 npm
scss-tokenizer 0.2.3 间接依赖 npm
sass-graph 2.2.4 间接依赖 npm
rollup 2.7.6 直接依赖 npm
combined-stream 1.0.8 间接依赖 npm
minimatch 3.0.4 间接依赖 npm
asn1 0.2.4 间接依赖 npm
mime-types 2.1.27 间接依赖 npm
tunnel-agent 0.6.0 间接依赖 npm
spdx-license-ids 3.0.5 间接依赖 npm
currently-unhandled 0.4.1 间接依赖 npm
fstream 1.0.12 间接依赖 npm
mime-db 1.44.0 间接依赖 npm
globule 1.3.1 间接依赖 npm
har-validator 5.1.3 间接依赖 npm
is-finite 1.1.0 间接依赖 npm
extsprintf 1.3.0 间接依赖 npm
node-sass 4.14.0 直接依赖 npm
lcid 1.0.0 间接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
uri-js 4.2.2 间接依赖 npm
nan 2.14.1 间接依赖 npm
trim-newlines 1.0.0 间接依赖 npm
lru-cache 4.1.5 直接依赖 npm
forever-agent 0.6.1 间接依赖 npm
number-is-nan 1.0.1 直接依赖 npm
load-json-file 1.1.0 间接依赖 npm
ajv 6.12.2 间接依赖 npm
npmlog 4.1.2 间接依赖 npm
uglifycss 0.0.29 间接依赖 npm
node-gyp 3.8.0 间接依赖 npm
oauth-sign 0.9.0 间接依赖 npm
sshpk 1.16.1 间接依赖 npm
dashdash 1.14.1 间接依赖 npm
isexe 2.0.0 间接依赖 npm
http-signature 1.2.0 间接依赖 npm
is-fullwidth-code-point 2.0.0 直接依赖 npm
ansi-regex 3.0.0 间接依赖 npm
rimraf 2.7.1 间接依赖 npm
require-directory 2.1.1 直接依赖 npm
abbrev 1.1.1 间接依赖 npm
mkdirp 0.5.5 间接依赖 npm
console-control-strings 1.1.0 间接依赖 npm
repeating 2.0.1 间接依赖 npm
meow 3.7.0 间接依赖 npm
readable-stream 2.3.7 间接依赖 npm
isarray 1.0.0 间接依赖 npm
graceful-fs 4.2.3 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
yallist 2.1.2 间接依赖 npm
true-case-path 1.0.3 间接依赖 npm
assert-plus 1.0.0 间接依赖 npm
array-find-index 1.0.2 间接依赖 npm
invert-kv 1.0.0 间接依赖 npm
error-ex 1.3.2 直接依赖 npm
core-util-is 1.0.2 间接依赖 npm
js-base64 2.5.2 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
signal-exit 3.0.3 间接依赖 npm
string_decoder 1.1.1 间接依赖 npm
has-ansi 2.0.0 直接依赖 npm
wide-align 1.1.3 间接依赖 npm
caseless 0.12.0 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
jsprim 1.4.1 间接依赖 npm
aproba 1.2.0 间接依赖 npm
inherits 2.0.4 间接依赖 npm
strip-indent 1.0.1 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
decamelize 1.2.0 间接依赖 npm
isstream 0.1.2 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
punycode 2.1.1 间接依赖 npm
set-blocking 2.0.0 间接依赖 npm
os-locale 1.4.0 直接依赖 npm
are-we-there-yet 1.1.5 间接依赖 npm
safe-buffer 5.1.2 间接依赖 npm
estree-walker 0.6.1 间接依赖 npm
stdout-stream 1.4.1 间接依赖 npm
map-obj 1.0.1 间接依赖 npm
minimist 1.2.5 间接依赖 npm
strip-bom 2.0.0 间接依赖 npm
read-pkg-up 1.0.1 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
ecc-jsbn 0.1.2 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
request 2.88.2 间接依赖 npm
(0)
上一篇 2023年10月31日
下一篇 2023年10月31日

相关推荐

  • Azure-Samples/azure-sql-db-sync-api-change-tracking 软件分析报告

    基础信息 项目名称:Azure-Samples/azure-sql-db-sync-api-change-tracking 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1722083783713255424/17…

    软件分析 2023年11月8日
    0
  • yasuoza/homebridge-open-sesame 软件分析报告

    基础信息 项目名称:yasuoza/homebridge-open-sesame 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721649280322150400/1721649280364093440 此报告…

    软件分析 2023年11月7日
    0
  • JetBrains/Nitra 软件分析报告

    基础信息 项目名称:JetBrains/Nitra 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721305653665681408/1732061597830438912 此报告由Murphysec提供 漏洞…

    软件分析 2023年12月5日
    0
  • yyued/hub.js 软件分析报告

    基础信息 项目名称:yyued/hub.js 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721692699249647616/1721692699442585600 此报告由Murphysec提供 漏洞列表 …

    软件分析 2023年11月7日
    0
  • Azeril/Microdust 软件分析报告

    基础信息 项目名称:Azeril/Microdust 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716188206152155136/1716188209025253376 此报告由Murphysec提供 漏…

    软件分析 2023年10月23日
    0